Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class ToolBar

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.wcf.component.NestableComponentSupport
              com.tonbeller.wcf.toolbar.ToolBar

All Implemented Interfaces:
  Bookmarkable, Component, java.util.EventListener, Form, FormListener, javax.servlet.http.HttpSessionBindingListener, LifeCycle, NestableComponent, Renderable, RequestListener, RoleExprHolder, Visible

public class ToolBar
extends NestableComponentSupport
implements Bookmarkable

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`ToolBar(java.lang.String id, Component parent)`

Method Summary
`void` | `addButton(ToolButton button)`
`void` | `addImgButton(ImgButton button)`
`void` | `addSeparator(ToolSeparator separator)`
`java.lang.Object` | `getBookmarkState(int levelOfDetail)` retrieves the state of this instance
`java.util.Map` | `getButtons()`
`java.util.List` | `getRadioGroup(ToolButton button)`
`java.lang.String` | `getTooltip(java.lang.String tooltip)` returns tooltip from resource bundle
`void` | `initialize(RequestContext context)` initializes the component.
`boolean` | `isGlobalButtonIds()` should be false.
`org.w3c.dom.Element` | `render(RequestContext context, org.w3c.dom.Document factory)` renders toolbar content.
`void` | `setBookmarkState(java.lang.Object state)` sets the state of this instance
`void` | `setBundle(Resources resb)`
`void` | `setGlobalButtonIds(boolean globalButtonIds)` should be false.

Methods inherited from class com.tonbeller.wcf.component.NestableComponentSupport
`render`

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, destroy, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, isVisible, removeFormListener, request, revert, setAutoValidate, setId, setNextView, setParent, setRoleExpr, setVisible, validate, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.component.Component
`getParent, isListeningTo, setNextView`

Methods inherited from interface com.tonbeller.wcf.controller.RequestListener
`request`

Methods inherited from interface com.tonbeller.wcf.component.FormListener
`revert, validate`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible, setVisible`

Methods inherited from interface com.tonbeller.wcf.component.LifeCycle
`destroy`

Constructor Detail

### ToolBar

    public ToolBar(java.lang.String id,
                   Component parent)

Method Detail

### initialize

    public void initialize(RequestContext context)
                    throws java.lang.Exception

  Description copied from interface: `LifeCycle`
  initializes the component. Called once after construction.

  Specified by:
    `initialize` in interface `LifeCycle`
  Overrides:
    `initialize` in class `ComponentSupport`
  Throws:
    `java.lang.Exception`
  See Also:
    `ComponentSupport.destroy(javax.servlet.http.HttpSession)`, `ComponentSupport.valueBound(javax.servlet.http.HttpSessionBindingEvent)`, `ComponentTag.doEndTag()`

### render

    public org.w3c.dom.Element render(RequestContext context,
                                      org.w3c.dom.Document factory)
                               throws java.lang.Exception

  renders toolbar content. Avoids consecutive separators

  Specified by:
    `render` in interface `NestableComponent`
  Throws:
    `java.lang.Exception`

### getButtons

    public java.util.Map getButtons()

### addButton

    public void addButton(ToolButton button)

### getRadioGroup

    public java.util.List getRadioGroup(ToolButton button)

### addSeparator

    public void addSeparator(ToolSeparator separator)

### addImgButton

    public void addImgButton(ImgButton button)

### getBookmarkState

    public java.lang.Object getBookmarkState(int levelOfDetail)

  Description copied from interface: `Bookmarkable`
  retrieves the state of this instance

  Specified by:
    `getBookmarkState` in interface `Bookmarkable`
  Overrides:
    `getBookmarkState` in class `ComponentSupport`
  Returns:
    a Map that contains the visible boolean

### setBookmarkState

    public void setBookmarkState(java.lang.Object state)

  Description copied from interface: `Bookmarkable`
  sets the state of this instance

  Specified by:
    `setBookmarkState` in interface `Bookmarkable`
  Overrides:
    `setBookmarkState` in class `ComponentSupport`
  Parameters:
    `state` - a map

### getTooltip

    public java.lang.String getTooltip(java.lang.String tooltip)

  returns tooltip from resource bundle

  Parameters:
    `tooltip` - name of the value in the resource bundle
  Returns:
    value from resource bundle or `tooltip` if there is no resource bundle

### setBundle

    public void setBundle(Resources resb)

  Parameters:
    `resb` -

### isGlobalButtonIds

    public boolean isGlobalButtonIds()

  should be false.

### setGlobalButtonIds

    public void setGlobalButtonIds(boolean globalButtonIds)

  should be false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD